%global snapdate 20131116
%global commit 39ce8a24e50651904010dda15872d63be15d7c37
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           povray
Version:        3.7
Release:        0.2.%{snapdate}git%{shortcommit}%{?dist}
Summary:        The Persistence of Vision Ray Tracer

# Examples below distribution/ are CC-BY-SA
# The sources are AGPLv3+
License:        AGPLv3+
URL:            http://povray.org
Source0:        https://github.com/POV-Ray/povray/archive/3.7-stable/%{commit}/povray-3.7-%{snapdate}git%{shortcommit}.tar.gz
Patch0:         0001-Fix-encoding.patch
Patch1:         0002-Autotool-massaging.patch

BuildRequires:  boost-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  SDL-devel
BuildRequires:  libXpm-devel
BuildRequires:  autoconf automake

%description
POV-Ray is a free, full-featured ray tracer.

%package scenes
Summary:        POV-Ray example scenes
License:        CC-BY-SA
BuildArch:      noarch

%description scenes
POV-Ray example scenes.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1
%patch1 -p1

# Make sure not to be using bundled libs
rm -rf libraries

# Workaround to automake incompatibility
rm -f config/missing

cd unix
sed -i \
 -e 's,automake --warnings=all,automake -a -f,' \
 prebuild.sh

sed -i \
 -e 's,AM_INIT_AUTOMAKE(\[1.9 dist-bzip2\]),AM_INIT_AUTOMAKE([1.9 dist-bzip2 subdir-objects]),' \
 configure.ac

./prebuild.sh
cd ..


%build
case x"%{?vendor}" in
xFedora\ Project ) # Building under Fedora's builders
  COMPILED_BY="%{vendor} <povray-owner@fedoraproject.org>"
  ;;
*) # elsewhere
  COMPILED_BY="%{?vendor:%vendor}%{!?vendor:$(id -u -n)}"
  ;;
esac

%configure --disable-silent-rules \
  --disable-optimiz --disable-strip \
  --x-includes=%{_includedir} --x-libraries=%{_libdir} \
  --with-boost-libdir=%{_libdir} \
  COMPILED_BY="${COMPILED_BY}"

# Filter out bogus and potentially harmful
# -I%%{_includedir} -L%%{_libdir}
# from Makefiles
find -name Makefile -exec sed -i \
  -e 's,-I%{_includedir}$,,g;s,-I%{_includedir} ,,g;' \
  -e 's,-L%{_libdir}$,,g;s,-L%{_libdir} ,,g' {} \;

# Adjust bogus paths
sed -i \
  -e '/DEFAULT_DIR=/d' \
  -e 's,SYSCONFDIR=\$DEFAULT_DIR/etc,SYSCONFDIR=%{_sysconfdir},' \
  unix/scripts/{allanim,allscene,portfolio}.sh

make %{?_smp_mflags}

%check
make check

%install
%make_install povdocdir=%{_pkgdocdir}

# Fixup permissions
chmod +x %{buildroot}%{_datadir}/povray-%{version}/scenes/camera/mesh_camera/bake.sh

%files
%doc %{_pkgdocdir}
%{_bindir}/povray
%{_mandir}/man1/povray*
%{_datadir}/povray-%{version}
%exclude %{_datadir}/povray-%{version}/scenes
%dir %{_sysconfdir}/povray
%dir %{_sysconfdir}/povray/%{version}
%config(noreplace) %{_sysconfdir}/povray/%{version}/povray*

%files scenes
%dir %{_datadir}/povray-%{version}
%{_datadir}/povray-%{version}/scenes

%changelog
* Fri Jan 24 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.7-0.2.20131116git39ce8a2
- Derive COMPILED_BY from %%vendor and id().

* Mon Jan 20 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.7-0.1.20131116git39ce8a2
- Initial Fedora package.
